Index: src/Fragmentation/unittests/KeySetsContainerUnitTest.cpp
===================================================================
--- src/Fragmentation/unittests/KeySetsContainerUnitTest.cpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
+++ src/Fragmentation/unittests/KeySetsContainerUnitTest.cpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -0,0 +1,54 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * KeySetsContainerUnitTest.cpp
+ *
+ *  Created on: Sep 16, 2011
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "KeySetsContainerUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( KeySetsContainerTest );
+
+
+void KeySetsContainerTest::setUp()
+{
+
+};
+
+
+void KeySetsContainerTest::tearDown()
+{
+};
+
+/** UnitTest for serialization
+ */
+void KeySetsContainerTest::SerializationTest()
+{
+  CPPUNIT_ASSERT_EQUAL( true , true );
+
+};
Index: src/Fragmentation/unittests/KeySetsContainerUnitTest.hpp
===================================================================
--- src/Fragmentation/unittests/KeySetsContainerUnitTest.hpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
+++ src/Fragmentation/unittests/KeySetsContainerUnitTest.hpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -0,0 +1,39 @@
+/*
+ * KeySetsContainerUnitTest.hpp
+ *
+ *  Created on: Sep 16, 2011
+ *      Author: heber
+ */
+
+#ifndef KEYSETSCONTAINERUNITTEST_HPP_
+#define KEYSETSCONTAINERUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class KeySetsContainer;
+
+/********************************************** Test classes **************************************/
+
+class KeySetsContainerTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( KeySetsContainerTest) ;
+    CPPUNIT_TEST ( SerializationTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void SerializationTest();
+
+private:
+      KeySetsContainer *Keys;
+
+};
+
+#endif /* KEYSETSCONTAINERUNITTEST_HPP_ */
Index: src/Fragmentation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/unittests/Makefile.am	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
+++ src/Fragmentation/unittests/Makefile.am	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -0,0 +1,38 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+FRAGMENTATIONTESTSSOURCES = \
+	../Fragmentation/unittests/KeySetsContainerUnitTest.cpp \
+	../Fragmentation/unittests/MatrixContainerUnitTest.cpp
+
+FRAGMENTATIONTESTSHEADERS = \
+	../Fragmentation/unittests/KeySetsContainerUnitTest.hpp \
+	../Fragmentation/unittests/MatrixContainerUnitTest.hpp
+
+FRAGMENTATIONTESTS = \
+  KeySetsContainerUnitTest \
+  MatrixContainerUnitTest
+
+TESTS += $(FRAGMENTATIONTESTS)
+check_PROGRAMS += $(FRAGMENTATIONTESTS) 
+noinst_PROGRAMS += $(FRAGMENTATIONTESTS)
+
+FRAGMENTATIONLIBS = \
+	../libMolecuilder.la \
+	${CodePatterns_LIBS} \
+	$(BOOST_LIB)
+
+
+KeySetsContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Fragmentation/unittests/KeySetsContainerUnitTest.cpp \
+	../Fragmentation/unittests/KeySetsContainerUnitTest.hpp
+KeySetsContainerUnitTest_LDADD = ${FRAGMENTATIONLIBS}
+
+MatrixContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Fragmentation/unittests/MatrixContainerUnitTest.cpp \
+	../Fragmentation/unittests/MatrixContainerUnitTest.hpp
+MatrixContainerUnitTest_LDADD = ${FRAGMENTATIONLIBS}
+
+
+
+#AUTOMAKE_OPTIONS = parallel-tests
Index: src/Fragmentation/unittests/MatrixContainerUnitTest.cpp
===================================================================
--- src/Fragmentation/unittests/MatrixContainerUnitTest.cpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
+++ src/Fragmentation/unittests/MatrixContainerUnitTest.cpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -0,0 +1,54 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * MatrixContainerUnitTest.cpp
+ *
+ *  Created on: Sep 16, 2011
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "MatrixContainerUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( MatrixContainerTest );
+
+
+void MatrixContainerTest::setUp()
+{
+
+};
+
+
+void MatrixContainerTest::tearDown()
+{
+};
+
+/** UnitTest for serialization
+ */
+void MatrixContainerTest::SerializationTest()
+{
+  CPPUNIT_ASSERT_EQUAL( true , true );
+
+};
Index: src/Fragmentation/unittests/MatrixContainerUnitTest.hpp
===================================================================
--- src/Fragmentation/unittests/MatrixContainerUnitTest.hpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
+++ src/Fragmentation/unittests/MatrixContainerUnitTest.hpp	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -0,0 +1,39 @@
+/*
+ * MatrixContainerUnitTest.hpp
+ *
+ *  Created on: Sep 16, 2011
+ *      Author: heber
+ */
+
+#ifndef MATRIXCONTAINERUNITTEST_HPP_
+#define MATRIXCONTAINERUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class MatrixContainer;
+
+/********************************************** Test classes **************************************/
+
+class MatrixContainerTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( MatrixContainerTest) ;
+    CPPUNIT_TEST ( SerializationTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void SerializationTest();
+
+private:
+      MatrixContainer *Keys;
+
+};
+
+#endif /* MATRIXCONTAINERUNITTEST_HPP_ */
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision bc28b0f3f8149d6034a044085ee96722cb9a75e3)
+++ src/unittests/Makefile.am	(revision feb7dfc315521e9dc2c1caf69c64722e14330c18)
@@ -8,4 +8,5 @@
 include ../../src/Actions/unittests/Makefile.am
 include ../../src/Descriptors/unittests/Makefile.am
+include ../../src/Fragmentation/unittests/Makefile.am
 include ../../src/Parser/unittests/Makefile.am
 include ../../src/RandomNumbers/unittests/Makefile.am
@@ -59,4 +60,5 @@
 	${ACTIONTESTSSOURCES} \
 	${DESCRIPTORTESTSSOURCES} \
+	${FRAGMENTATIONTESTSSOURCES} \
 	${LINEARALGEBRATESTSSOURCES} \
 	${PARSERTESTSSOURCES} \
@@ -85,4 +87,5 @@
 	${ACTIONTESTSHEADERS} \
 	${DESCRIPTORTESTSHEADERS} \
+	${FRAGMENTATIONTESTSHEADERS} \
 	${LINEARALGEBRATESTSHEADERS} \
 	${PARSERTESTSHEADERS} \
